fixed include of some kernel modules
This commit is contained in:
parent
6f2e1c331f
commit
ada75c35fa
@ -0,0 +1,37 @@
|
|||||||
|
From 8d021e4b8a5aaaa129ae53358cd108f589881182 Mon Sep 17 00:00:00 2001
|
||||||
|
From: Harald Hoyer <harald@redhat.com>
|
||||||
|
Date: Wed, 29 Feb 2012 16:20:02 +0100
|
||||||
|
Subject: [PATCH] 90crypt/parse-crypt.sh: simplify rd.luks.uuid testing
|
||||||
|
|
||||||
|
---
|
||||||
|
modules.d/90crypt/parse-crypt.sh | 15 ++-------------
|
||||||
|
1 files changed, 2 insertions(+), 13 deletions(-)
|
||||||
|
|
||||||
|
diff --git a/modules.d/90crypt/parse-crypt.sh b/modules.d/90crypt/parse-crypt.sh
|
||||||
|
index 2ab3a9f..f96b59a 100755
|
||||||
|
--- a/modules.d/90crypt/parse-crypt.sh
|
||||||
|
+++ b/modules.d/90crypt/parse-crypt.sh
|
||||||
|
@@ -24,21 +24,10 @@ else
|
||||||
|
printf -- '$env{DEVNAME} luks-$env{ID_FS_UUID} %s"\n' $tout
|
||||||
|
} >> /etc/udev/rules.d/70-luks.rules.new
|
||||||
|
|
||||||
|
-
|
||||||
|
- [ -e $hookdir/initqueue/finished/90-crypt.sh ] || \
|
||||||
|
- {
|
||||||
|
- printf -- 'UUIDS=:\n'
|
||||||
|
- printf -- 'for dm in /dev/dm-*; do\n'
|
||||||
|
- printf -- '[ -e "$dm" ] || exit 1\n'
|
||||||
|
- printf -- 'dmid=`/sbin/dmsetup info -c -o uuid --noheadings "$dm"`\n'
|
||||||
|
- printf -- 'uuid=${dmid#CRYPT-LUKS*-}\n'
|
||||||
|
- printf -- '[ "x$uuid" = "x$dmid" ] && continue\n'
|
||||||
|
- printf -- 'UUIDS="${UUIDS}${uuid%%%%-*}:"\n'
|
||||||
|
- printf -- 'done\n'
|
||||||
|
- } > $hookdir/initqueue/finished/90-crypt.sh
|
||||||
|
uuid=$luksid
|
||||||
|
while [ "$uuid" != "${uuid#*-}" ]; do uuid=${uuid%%-*}${uuid#*-}; done
|
||||||
|
- printf -- '[ "x${UUIDS#*:%s*:}" != "x$UUIDS" ] || exit 1\n' $uuid >> $hookdir/initqueue/finished/90-crypt.sh
|
||||||
|
+ printf -- '[ -e /dev/disk/by-id/dm-uuid-CRYPT-LUKS?-*%s*-* ] || exit 1\n' $uuid \
|
||||||
|
+ >> $hookdir/initqueue/finished/90-crypt.sh
|
||||||
|
|
||||||
|
{
|
||||||
|
printf -- '[ -e /dev/disk/by-uuid/*%s* ] || ' $luksid
|
@ -0,0 +1,38 @@
|
|||||||
|
From e12c1a8da19b373aee46f7352e60511ac1a2fc16 Mon Sep 17 00:00:00 2001
|
||||||
|
From: Harald Hoyer <harald@redhat.com>
|
||||||
|
Date: Thu, 1 Mar 2012 17:45:30 +0100
|
||||||
|
Subject: [PATCH] dracut-functions.sh:install_kmod_with_fw() delay
|
||||||
|
.kernelmodseen
|
||||||
|
|
||||||
|
first check for omit, then mark the kernel module as seen
|
||||||
|
|
||||||
|
when we temporarily omit_drivers, we don't want to mark them as seen.
|
||||||
|
|
||||||
|
example: nfs.ko module in kernel-modules, but the nfs module
|
||||||
|
should be able to load it later on.
|
||||||
|
---
|
||||||
|
dracut-functions.sh | 4 ++--
|
||||||
|
1 files changed, 2 insertions(+), 2 deletions(-)
|
||||||
|
|
||||||
|
diff --git a/dracut-functions.sh b/dracut-functions.sh
|
||||||
|
index c7337e9..20fc6e1 100755
|
||||||
|
--- a/dracut-functions.sh
|
||||||
|
+++ b/dracut-functions.sh
|
||||||
|
@@ -980,8 +980,6 @@ install_kmod_with_fw() {
|
||||||
|
|
||||||
|
[[ -e "$initdir/.kernelmodseen/${1##*/}" ]] && return 0
|
||||||
|
|
||||||
|
- > "$initdir/.kernelmodseen/${1##*/}"
|
||||||
|
-
|
||||||
|
if [[ $omit_drivers ]]; then
|
||||||
|
local _kmod=${1##*/}
|
||||||
|
_kmod=${_kmod%.ko}
|
||||||
|
@@ -996,6 +994,8 @@ install_kmod_with_fw() {
|
||||||
|
fi
|
||||||
|
fi
|
||||||
|
|
||||||
|
+ > "$initdir/.kernelmodseen/${1##*/}"
|
||||||
|
+
|
||||||
|
inst_simple "$1" "/lib/modules/$kernel/${1##*/lib/modules/$kernel/}" \
|
||||||
|
|| return $?
|
||||||
|
|
@ -10,7 +10,7 @@
|
|||||||
|
|
||||||
Name: dracut
|
Name: dracut
|
||||||
Version: 017
|
Version: 017
|
||||||
Release: 17.git20120229.2%{?dist}
|
Release: 19.git20120301%{?dist}
|
||||||
|
|
||||||
Summary: Initramfs generator using udev
|
Summary: Initramfs generator using udev
|
||||||
%if 0%{?fedora} || 0%{?rhel}
|
%if 0%{?fedora} || 0%{?rhel}
|
||||||
@ -40,6 +40,8 @@ Patch13: 0013-TODO-update.patch
|
|||||||
Patch14: 0014-98usrmount-mount-usr.sh-ignore-comments-in-fstab.patch
|
Patch14: 0014-98usrmount-mount-usr.sh-ignore-comments-in-fstab.patch
|
||||||
Patch15: 0015-98usrmount-mount-usr.sh-check-if-we-have-NEWROOT-etc.patch
|
Patch15: 0015-98usrmount-mount-usr.sh-check-if-we-have-NEWROOT-etc.patch
|
||||||
Patch16: 0016-30convertfs-convertfs.sh-correct-check-for-usr-bin.patch
|
Patch16: 0016-30convertfs-convertfs.sh-correct-check-for-usr-bin.patch
|
||||||
|
Patch17: 0017-90crypt-parse-crypt.sh-simplify-rd.luks.uuid-testing.patch
|
||||||
|
Patch18: 0018-dracut-functions.sh-install_kmod_with_fw-delay-.kern.patch
|
||||||
|
|
||||||
|
|
||||||
BuildArch: noarch
|
BuildArch: noarch
|
||||||
@ -343,6 +345,9 @@ rm -rf $RPM_BUILD_ROOT
|
|||||||
%dir /var/lib/dracut/overlay
|
%dir /var/lib/dracut/overlay
|
||||||
|
|
||||||
%changelog
|
%changelog
|
||||||
|
* Thu Mar 01 2012 Harald Hoyer <harald@redhat.com> 017-19.git20120301
|
||||||
|
- fixed include of some kernel modules
|
||||||
|
|
||||||
* Wed Feb 29 2012 Harald Hoyer <harald@redhat.com> 017-17.git20120229
|
* Wed Feb 29 2012 Harald Hoyer <harald@redhat.com> 017-17.git20120229
|
||||||
- update to latest git
|
- update to latest git
|
||||||
- fixes for convertfs (/usr-move)
|
- fixes for convertfs (/usr-move)
|
||||||
|
Loading…
Reference in New Issue
Block a user